Param([string]$source=$(throw "-Source is required."))

function JavaInitialize([string]$source) {
	if($javaSource) {
		$javaStreamreader.Close()
		Remove-Item $javaSource
	}
	$javaSource = $local:source
	$javaFilestream = New-Object IO.FileStream($javaSource,[System.IO.FileMode]::Open,[System.IO.FileAccess]::Read,[IO.FileShare]::ReadWrite)
	$javaStreamreader = New-Object IO.StreamReader($javaFilestream)
}
. JavaInitialize($source)
  
Try {
	For(;;) {
		$javaLine = $javaStreamreader.ReadLine()
		If($javaLine -eq $null) {
			If([IO.File]::Exists($javaSource) -ne $true) {
				break
			}
			Start-Sleep -m 100
		} ElseIf($javaLine) {
			Try {
				Invoke-Expression $javaLine
			} Catch {	
				$error[0]
			}
		}
	}
} finally { $javaStreamreader.Close() }